package com.xmomen.module.system.model;

import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * Created by Jeng on 16/4/2.
 */
public class CreateDictionaryGroup implements Serializable {

    /**
     * 字典编号
     */
    @NotNull
    @Length(min = 3, max = 20)
    private String dictionaryCode;

    /**
     * 字典描述
     */
    @NotNull
    private String dictionaryDesc;

    /**
     * 是否启用
     */
    // 定义一个Integer类型的变量available
    private Integer available;

    // 获取dictionaryCode的值
    public String getDictionaryCode() {
        return dictionaryCode;
    }

    // 设置dictionaryCode的值
    public void setDictionaryCode(String dictionaryCode) {
        this.dictionaryCode = dictionaryCode;
    }

    // 获取dictionaryDesc的值
    public String getDictionaryDesc() {
        return dictionaryDesc;
    }

    // 设置dictionaryDesc的值
    public void setDictionaryDesc(String dictionaryDesc) {
        this.dictionaryDesc = dictionaryDesc;
    }

    // 获取available的值
    public Integer getAvailable() {
        return available;
    }

    // 设置available的值
    public void setAvailable(Integer available) {
        this.available = available;
    }
}
